Skip to main content
GET
/
v2
/
vulnerability
/
search
Full Text Search
curl --request GET \
  --url https://api.projectdiscovery.io/v2/vulnerability/search \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api.projectdiscovery.io/v2/vulnerability/search"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api.projectdiscovery.io/v2/vulnerability/search', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "count": 123,
  "facets": {},
  "results": [
    {
      "age_in_days": 123,
      "assignee": "<string>",
      "cve_created_at": "2023-11-07T05:31:56Z",
      "cve_id": "<string>",
      "cve_updated_at": "2023-11-07T05:31:56Z",
      "cvss_metrics": "3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H",
      "cvss_score": 9.8,
      "epss_percentile": 0.42509,
      "epss_score": 0.42509,
      "is_kev": true,
      "is_vkev": true,
      "is_oss": true,
      "is_patch_available": true,
      "is_poc": true,
      "is_remote": true,
      "is_template": true,
      "kev": [
        {
          "added_date": "2023-11-07T05:31:56Z",
          "due_date": "2023-11-07T05:31:56Z",
          "known_ransomware_campaign_use": true,
          "source": "<string>"
        }
      ],
      "poc_count": 123,
      "pocs": [
        {
          "added_at": "2023-11-07T05:31:56Z",
          "source": "<string>",
          "url": "<string>"
        }
      ],
      "nuclei_template": "<string>",
      "is_auth": true,
      "is_exploit_seen": true,
      "poc_first_seen": "2023-11-07T05:31:56Z",
      "vuln_status": "<string>",
      "citations": [
        {
          "source": "<string>",
          "tags": [
            "<string>"
          ],
          "url": "<string>",
          "added_at": "2023-11-07T05:31:56Z"
        }
      ],
      "cwe": [
        "<string>"
      ],
      "description": "<string>",
      "impact": "<string>",
      "name": "<string>",
      "product": "<string>",
      "remediation": "<string>",
      "severity": "<string>",
      "vendor": "<string>",
      "requirement_type": "<string>",
      "requirements": "<string>",
      "template_coverage": "<string>",
      "vulnerability_impact": [
        "<string>"
      ],
      "vulnerability_type": "<string>",
      "weaknesses": [
        {
          "cwe_id": "<string>",
          "cwe_name": "<string>"
        }
      ],
      "category": "<string>",
      "integration_id": "<string>",
      "integration_type": "<string>",
      "pull_request": "<string>",
      "ref": "<string>",
      "release_tag": "<string>",
      "score": 123,
      "template_type": "<string>",
      "is_draft": true,
      "is_early": true,
      "is_github": true,
      "is_new": true,
      "is_pdteam": true,
      "directory": "<string>",
      "filename": "<string>",
      "uri": "<string>",
      "author": [
        "<string>"
      ],
      "digest": "<string>",
      "metadata": {},
      "raw": "<string>",
      "tags": [
        "<string>"
      ],
      "type": "<string>",
      "organizations": [
        "<string>"
      ],
      "origin_template_id": "<string>",
      "share_type": "<string>",
      "ttl": "<string>",
      "ttl_from": "<string>",
      "users": [
        123
      ],
      "ai_meta": {
        "model_used": "<string>",
        "is_prompt_by_human": true,
        "is_template_by_human": true,
        "prompt": "<string>"
      },
      "classification": {
        "cve-id": [
          "<string>"
        ],
        "cwe-id": [
          "<string>"
        ],
        "cvss-metrics": "<string>",
        "cvss-score": 123,
        "epss-score": 123,
        "epss-percentile": 123,
        "cpe": "<string>"
      },
      "id": "<string>",
      "user_id": 123,
      "affected_products": [
        {
          "cpe": [
            "<string>"
          ],
          "product": "<string>",
          "project_repos": {},
          "projects": [
            "<string>"
          ],
          "vendor": "<string>",
          "product_category": "<string>",
          "product_type": "<string>",
          "industry": "<string>",
          "tech_domain": "<string>",
          "category": "<string>",
          "deployment_model": "<string>",
          "summary": "<string>"
        }
      ],
      "created_at": "2023-11-07T05:31:56Z",
      "doc_id": "<string>",
      "doc_type": "<string>",
      "exposure": {
        "max_hosts": 123,
        "min_hosts": 123,
        "values": [
          {
            "fofa": {
              "max_hosts": 123,
              "min_hosts": 123,
              "queries": [
                "<string>"
              ]
            },
            "id": "<string>",
            "max_hosts": 123,
            "min_hosts": 123,
            "shodan": {
              "max_hosts": 123,
              "min_hosts": 123,
              "queries": [
                "<string>"
              ]
            }
          }
        ]
      },
      "h1": {
        "delta_rank": 123,
        "delta_reports": 123,
        "rank": 123,
        "reports": 123
      },
      "ntps": 123,
      "updated_at": "2023-11-07T05:31:56Z",
      "template_created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123
}
{
  "message": "<string>",
  "kind": "<string>",
  "code": "<string>",
  "error": "<string>",
  "error_id": "<string>",
  "param": "<string>",
  "status": 123
}
{
  "message": "<string>",
  "kind": "<string>",
  "code": "<string>",
  "error": "<string>",
  "error_id": "<string>",
  "param": "<string>",
  "status": 123
}
{
  "message": "<string>",
  "kind": "<string>",
  "code": "<string>",
  "error": "<string>",
  "error_id": "<string>",
  "param": "<string>",
  "status": 123
}
{
  "message": "<string>",
  "kind": "<string>",
  "code": "<string>",
  "error": "<string>",
  "error_id": "<string>",
  "param": "<string>",
  "status": 123
}
{
  "message": "<string>",
  "kind": "<string>",
  "code": "<string>",
  "error": "<string>",
  "error_id": "<string>",
  "param": "<string>",
  "status": 123
}
{
  "message": "<string>",
  "kind": "<string>",
  "code": "<string>",
  "error": "<string>",
  "error_id": "<string>",
  "param": "<string>",
  "status": 123
}

Authorizations

X-API-Key
string
header
required

Query Parameters

limit
integer

The numbers of items to return

offset
integer

The numbers of items to skip

sort_asc
string

Sort results in ascending order (CSV field names)

sort_desc
string

Sort results in descending order (CSV field names)

fields
string[]

List of fields to return(comma separated)

term_facets
string[]

List of fields to return(comma separated)

range_facets
string[]

List of fields to return(comma separated)

q
string

query

highlight
boolean

Whether to highlight the search results

facet_size
integer

Number of facets to return

Response

OK

count
integer
facets
object
results
TemplateContent · object[]
total
integer